<?

if ( $_SERVER['HTTP_X_REQUESTED_WITH'] == 'XMLHttpRequest' ) {
    define( 'ROOT_DIR', $_SERVER['DOCUMENT_ROOT'] );
    session_start();
    header( 'Content-type: text/html; charset=windows-1251' );
    include_once ROOT_DIR . '/engine/config.php';
    include_once ROOT_DIR . '/engine/function.php';
} else {
    if ( !defined( 'MISOFT' ) ) { exit(); }
}

if ( !isset( $_SESSION['iduser'] ) ) {
    echo '<div style="margin-left: -10px;" class="alert alert-info alert-dismissible fade in" role="alert">
			<button type="button" class="close" data-dismiss="alert" aria-label="Close">
				<span aria-hidden="true">&times;</span>
			</button>
			<h5 class="alert-heading"><i class="fa fa-exclamation-triangle" aria-hidden="true"></i> Внимание!</h5>
			<p style="font-size: 14px;">Вы не авторизированы. Доступ к этой странице разрешен только авторизованным пользователям. <br>Пожалуйста, воспользуйтесь формой авторизации.</p>
			<p style="font-size: 14px;" class="m-b-0">Для перехода в форму авторизации нажмите <a class="a_link" href="/login" >login</a>.</p>
		  </div>';
} else {
#Определяем реферера
if ( $config_user['referer'] == 0 ) {
    $nref = 'У вас нет реферера';
    $nrefproc = 'Не установлен';
} else {
    $sql_ref = mysql_fetch_array( mysql_query( "SELECT id, username, userdel, avatar FROM user WHERE id = '" . $config_user['referer'] . "' LIMIT 1" ) );
    #проверяем блокировку пользователя
    if ( $sql_ref['userdel'] == 1 ) {
        $nref = '<span style="color:#e25858">Удален за нарушение правил.</span> &nbsp;&nbsp;&nbsp;' . '<a href="#" class="a_box btn btn-secondary btn-sm" onclick="function_ref.RemoveRef(' . $sql_ref['id'] . ');return false;">Отказаться</a>';
    } else {
        $nref = '
	      <img class="avatar_botton" src="/temp/avatar/'.$sql_ref['avatar'].'"/>
		  <div class="btn-group" style="margin-bottom: -3px;">
			<button class="btn btn-secondary btn-sm dropdown-toggle" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
			  ' . $sql_ref['username'] . '
			</button>
			<div class="dropdown-menu">
			  <a class="dropdown-item" href="#" onclick="msg.showDialog(' . $sql_ref['id'] . ', \'' . substr( md5( $message_md5 . $sql_ref['id'] ), 0, 22 ) . '\');return false;">Написать сообщение</a>
			  <a class="dropdown-item" href="/id' . $sql_ref['id'] . '">Перейти на стенку</a>  
			</div>
		  </div>
		';
    }
    $nrefproc = '' . $config_user['autoproc'] . '% ';
}

#Определяем кол-во рефералов и сумму дохода 1 и 2 уровня
$ref1 = mysql_fetch_array( mysql_query( "SELECT COUNT(id) as count FROM user WHERE referer = '" . $_SESSION['iduser'] . "'" ) );
$ref2 = mysql_fetch_array( mysql_query( "SELECT COUNT(id) as count FROM user WHERE referer2 = '" . $_SESSION['iduser'] . "'" ) );
$sumref1 = mysql_fetch_array( mysql_query( "SELECT SUM(toref) as sum FROM user WHERE referer = '" . $_SESSION['iduser'] . "'" ) );
if ( $sumref1['sum'] == '' ) {
    $sumref1['sum'] = '0.0000';
}

$sumref2 = mysql_fetch_array( mysql_query( "SELECT SUM(toref2) as sum FROM user WHERE referer2 = '" . $_SESSION['iduser'] . "'" ) );
if ( $sumref2['sum'] == '' ) {
    $sumref2['sum'] = '0.0000';
}
    
 $ex_us_money = explode( '.', moneyraund( $config_user['money'], 4 ) );
$us_money = '' . $ex_us_money[0] . '.<span style="font-size:14px">' . $ex_us_money[1] . '</span>';    

$ex_us_adv_money = explode( '.', moneyraund( $config_user['adv_money'], 4 ) );
$us_adv_money = '' . $ex_us_adv_money[0] . '.<span style="font-size:14px">' . $ex_us_adv_money[1] . '</span>';

$ex_us_paid = explode( '.', moneyraund( $config_user['paid'], 2 ) );
$us_paid = '' . $ex_us_paid[0] . '.<span style="font-size:14px">' . $ex_us_paid[1] . '</span>';

$ex_us_ref1 = explode( '.', moneyraund( $sumref1['sum'], 4 ) );
$us_ref1 = '' . $ex_us_ref1[0] . '.<span style="font-size:14px">' . $ex_us_ref1[1] . '</span>';

$ex_us_ref2 = explode( '.', moneyraund( $sumref2['sum'], 4 ) );
$us_ref2 = '' . $ex_us_ref2[0] . '.<span style="font-size:14px">' . $ex_us_ref2[1] . '</span>';

$ex_us_allpay = explode( '.', moneyraund( $config_user['allpay'], 2 ) );
$us_allpay = '' . $ex_us_allpay[0] . '.<span style="font-size:14px">' . $ex_us_allpay[1] . '</span>';

$ex_us_savingsCard = explode( '.', $config_user['savingscards'] );
$us_savingsCard = '' . $ex_us_savingsCard[0] . '.<span style="font-size:14px">' . $ex_us_savingsCard[1] . '</span>';
?>

<div style="margin-left: -10px;">
	<a href="/mstatistic" class="content_bar_buttom1_act">СТАТИСТИКА</a>
	<a href="/history=serfing" class="content_bar_buttom">ИСТОРИЯ ОПЕРАЦИЙ</a>
</div>
<div class="content_bar content_bar_margin">
	<article class="postBox">

		<h5><span class="glyphicon glyphicon-stats" style="color: #333; font-size: 19px;"></span> График заработка</h5> <hr class="m-y-0"><br>
		<?
		include_once ROOT_DIR . '/engine/classes/graphics.class.php';
		echo visit_statistic( $_SESSION['iduser'], 700, 330 );
		echo money_statistic( $_SESSION['iduser'], 360, 250 );
		echo adv_statistic( $_SESSION['iduser'], 370, 250 );
		?>
		<script type="text/javascript">
		  $(document).ready(function() {
			$('.stat_ref_reg').tipTip({defaultPosition:'right'});
			$('.stat_ref_reg').click(function() {
			  $('body').Qbox({
			    'title': 'График регистраций рефералов за неделю',
			    'width': 526,
			    'height': 220,
			    'fadespeed': 300,
			    'url': 'modules/referrals/stat_ref_reg.php',
			    'param': ''
			  });
			  return false;
			});
		  });
		
		  function show_country_statistic() {
			$('body').Qbox({
			  'title': 'Статистика пользователей по странам',
			  'width': 401,
			  'height': 349,
			  'fadespeed': 300,
			  'url': 'modules/profiles/cstatistic.php',
			  'param': ''
			});
		  }
		</script>
		<br>
		<h5><span class="glyphicon glyphicon-stats" style="color: #333; font-size: 19px;"></span> Дополнительная статистика </h5> <hr class="m-y-0"><br>
		<table class="table table-sm" style="margin-left: 0px;">
		  <tbody>
			<tr>
			  <td width="50%">Ваш реферер</td>
			  <td><?=$nref?></td>
			</tr>
			<tr>
			  <td>Рефбек от реферера</td>
			  <td><?=$nrefproc?></td>
			</tr>
			<tr>
			  <td>Количество рефералов I уровня</td>
			  <td><?=$ref1['count']?><a class="stat_ref_reg btn btn-secondary btn-sm" title="График статистики регистрации рефералов" style="margin-bottom: -3px; margin-left: 10px;" >Статистика</a></td>
			</tr>
			<tr>
			  <td>- в т.ч. от рефералов I уровня</td>
			  <td><?=$us_ref1?> <?=$config['valutaname']?></td>
			</tr>
			<tr>
			  <td>Количество рефералов II уровня</td>
			  <td><?=$ref2['count']?></td>
			</tr>
			<tr>
			  <td>- в т.ч. от рефералов II уровня</td>
			  <td><?=$us_ref2?> <?=$config['valutaname']?></td>
			</tr>
			
			<tr >
			  <td>Баланс основного счета</td>
			  <td><?=$us_money?> <?=$config['valutaname']?></td>
			</tr>
			<tr >
			  <td>Баланс рекламного счета</td>
			  <td><?=$us_adv_money?> <?=$config['valutaname']?></td>
			</tr>
			<tr >
			  <td>Баланс кэшбэк счета</td>
			  <td><?=$us_savingsCard?> <?=$config['valutaname']?></td>
			</tr>
			<tr class="table-danger">
			  <td>Всего потрачено</td>
			  <td><?=$us_allpay?> <?=$config['valutaname']?></td>
			</tr>
			<tr class="table-success">
			  <td>Всего выведено</td>
			  <td><?=$us_paid?></b> <?=$config['valutaname']?></td>
			</tr>
		  </tbody>
		</table>
	</article>
</div>
<? } ?>